From: "Georgy Yakovlev" <gyakovlev@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dns/dnscrypt-proxy/
Date: Fri, 12 Jun 2020 02:36:29 +0000 (UTC) [thread overview]
Message-ID: <1591929358.e286ef56f3a147c6ff8ab9f5a46618e0fcdb936c.gyakovlev@gentoo> (raw)
commit: e286ef56f3a147c6ff8ab9f5a46618e0fcdb936c
Author: Sam James (sam_c) <sam <AT> cmpct <DOT> info>
AuthorDate: Thu Jun 11 21:56:13 2020 +0000
Commit: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Fri Jun 12 02:35:58 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e286ef56
net-dns/dnscrypt-proxy: bump to 2.0.44
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Sam James (sam_c) <sam <AT> cmpct.info>
Closes: https://github.com/gentoo/gentoo/pull/16198
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>
net-dns/dnscrypt-proxy/Manifest | 1 +
.../dnscrypt-proxy/dnscrypt-proxy-2.0.44.ebuild | 105 +++++++++++++++++++++
2 files changed, 106 insertions(+)
diff --git a/net-dns/dnscrypt-proxy/Manifest b/net-dns/dnscrypt-proxy/Manifest
index 2f04d7b30a8..70d7d128cb1 100644
--- a/net-dns/dnscrypt-proxy/Manifest
+++ b/net-dns/dnscrypt-proxy/Manifest
@@ -1,3 +1,4 @@
DIST dnscrypt-proxy-2.0.41.tar.gz 2323421 BLAKE2B 572a0ad15df6c40d1738b296972584f5d8fe382ca3c0a05b4fc74e986e767a058227dda2127c843127bc0b90e8b7bbe17a5eaee42175f0b77e21160ac63f7a88 SHA512 26be163daa03633f2d76f1121fb1987e0155613bd84cbb2aad2ba0eedbd35ec0b393d1c1a0aaba47968b3a08bd0273ad929a164695ce35d2ebe05ce3b5f5dfd1
DIST dnscrypt-proxy-2.0.42.tar.gz 2324442 BLAKE2B 8444eca1fc2bfc6029c1848bbeb77697b9b9c228c1bd0d17ed357b73667524c7052b33410a92847743533c3712f749fd93dbac46a81da48dae367e2a515cad8c SHA512 093b07ee8eb44c1264e6ea4b60ad32e0221b1b02c1d61f142b1fbf37dc5181533cc3c5d6e7468d0f7488611de4620947684269da9f08f21da0aa501ba70be711
DIST dnscrypt-proxy-2.0.43.tar.gz 2279744 BLAKE2B f06892bc14da2be2e97dfb5d233420cf3726e359ccd0658d4309981291a12a7cac7a7592d11717a9466144bd5cb9d9a4e1b6ba8877a8b5c539783749588a10a1 SHA512 a1d14756d6be6450683a44adae197aa582df2556dda588debdadd0903b5993a4dc579880479f138ec3690045aeab833a19f23b2555a403930d26d4a5bc90ed5f
+DIST dnscrypt-proxy-2.0.44.tar.gz 2279842 BLAKE2B 90f156914dd29ab5baa2eb02ed2992583999a6688d09a532f8c7c1ec6d285bd39893f66726da928f295056fd66cd756f4332f1ed21284ffa3d357ce355a08625 SHA512 009e2b669c1d6f6cd6b41f5e04d08735587f420dacdea8d422a3c12a62614c1ce1963deebca3af1f956070abd9ff5df9182cb27e31fa0fac8a95478739445801
diff --git a/net-dns/dnscrypt-proxy/dnscrypt-proxy-2.0.44.ebuild b/net-dns/dnscrypt-proxy/dnscrypt-proxy-2.0.44.ebuild
new file mode 100644
index 00000000000..bfc4fef8eb0
--- /dev/null
+++ b/net-dns/dnscrypt-proxy/dnscrypt-proxy-2.0.44.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGO_PN="github.com/DNSCrypt/${PN}"
+
+inherit fcaps go-module systemd
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://${EGO_PN}.git"
+else
+ SRC_URI="https://${EGO_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+fi
+
+DESCRIPTION="A flexible DNS proxy, with support for encrypted DNS protocols"
+HOMEPAGE="https://github.com/DNSCrypt/dnscrypt-proxy"
+
+LICENSE="Apache-2.0 BSD ISC MIT MPL-2.0"
+SLOT="0"
+IUSE="pie"
+
+BDEPEND=">=dev-lang/go-1.13"
+
+RDEPEND="
+ acct-group/dnscrypt-proxy
+ acct-user/dnscrypt-proxy
+"
+
+FILECAPS=( cap_net_bind_service+ep usr/bin/dnscrypt-proxy )
+
+PATCHES=( "${FILESDIR}"/config-full-paths-r11.patch )
+
+src_compile() {
+ pushd "${PN}" >/dev/null || die
+ go build -v -x -mod=readonly -mod=vendor -buildmode="$(usex pie pie default)" || die
+ popd >/dev/null || die
+}
+
+src_test() {
+ cd "${PN}" || die
+ go test -mod=vendor -buildmode="$(usex pie pie default)" || die "Failed to run tests"
+}
+
+src_install() {
+ pushd "${PN}" >/dev/null || die
+
+ dobin dnscrypt-proxy
+
+ insinto /etc/dnscrypt-proxy
+ newins example-dnscrypt-proxy.toml dnscrypt-proxy.toml
+ doins example-{blacklist.txt,whitelist.txt}
+ doins example-{cloaking-rules.txt,forwarding-rules.txt}
+
+ popd >/dev/null || die
+
+ insinto /usr/share/dnscrypt-proxy
+ doins -r "utils/generate-domains-blacklists/."
+
+ newinitd "${FILESDIR}"/dnscrypt-proxy.initd dnscrypt-proxy
+ newconfd "${FILESDIR}"/dnscrypt-proxy.confd dnscrypt-proxy
+
+ systemd_newunit "${FILESDIR}"/dnscrypt-proxy.service dnscrypt-proxy.service
+ systemd_newunit "${FILESDIR}"/dnscrypt-proxy.socket dnscrypt-proxy.socket
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/dnscrypt-proxy.logrotate dnscrypt-proxy
+
+ einstalldocs
+}
+
+pkg_postinst() {
+ fcaps_pkg_postinst
+ go-module_pkg_postinst
+
+ if ! use filecaps; then
+ ewarn "'filecaps' USE flag is disabled"
+ ewarn "${PN} will fail to listen on port 53"
+ ewarn "please do one the following:"
+ ewarn "1) re-enable 'filecaps'"
+ ewarn "2) change port to > 1024"
+ ewarn "3) configure to run ${PN} as root (not recommended)"
+ ewarn
+ fi
+
+ if systemd_is_booted || has_version sys-apps/systemd; then
+ elog "Using systemd socket activation may cause issues with speed"
+ elog "latency and reliability of ${PN} and is discouraged by upstream"
+ elog "Existing installations advised to disable 'dnscrypt-proxy.socket'"
+ elog "It is disabled by default for new installations"
+ elog "check "$(systemd_get_systemunitdir)/${PN}.service" for details"
+ elog
+
+ fi
+
+ elog "After starting the service you will need to update your"
+ elog "/etc/resolv.conf and replace your current set of resolvers"
+ elog "with:"
+ elog
+ elog "nameserver 127.0.0.1"
+ elog
+ elog "Also see https://github.com/DNSCrypt/${PN}/wiki"
+}
next reply other threads:[~2020-06-12 2:36 UTC|newest]
Thread overview: 136+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-06-12 2:36 Georgy Yakovlev [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-23 5:42 [gentoo-commits] repo/gentoo:master commit in: net-dns/dnscrypt-proxy/ Sam James
2025-02-23 5:42 Sam James
2025-02-23 5:21 Sam James
2023-09-08 0:12 Sam James
2023-09-07 20:07 Sam James
2023-09-07 20:07 Sam James
2023-09-07 20:07 Sam James
2023-05-01 13:36 Sam James
2023-03-24 13:31 Arthur Zamarin
2023-03-22 5:54 Sam James
2023-03-09 9:15 Arthur Zamarin
2023-03-09 8:59 Sam James
2023-03-09 8:59 Sam James
2023-03-09 8:59 Sam James
2023-03-09 7:38 Arthur Zamarin
2023-02-08 21:13 Sam James
2023-02-03 6:08 William Hubbs
2023-02-03 5:44 Sam James
2022-10-11 6:48 Agostino Sarubbo
2022-10-11 6:46 Agostino Sarubbo
2022-10-11 6:44 Agostino Sarubbo
2022-10-11 6:43 Agostino Sarubbo
2022-10-11 6:41 Agostino Sarubbo
2021-11-02 9:14 Agostino Sarubbo
2021-10-30 17:24 Agostino Sarubbo
2021-10-29 18:30 Sam James
2021-10-29 18:30 Sam James
2021-10-28 14:02 Agostino Sarubbo
2021-10-28 13:58 Agostino Sarubbo
2021-09-28 4:53 Sam James
2021-09-18 12:30 Agostino Sarubbo
2021-09-16 18:56 Sam James
2021-09-16 8:02 Agostino Sarubbo
2021-09-16 6:29 Sam James
2021-09-01 16:42 William Hubbs
2021-02-15 0:38 Sam James
2021-02-13 21:15 Sam James
2021-02-09 21:31 Sam James
2021-02-09 9:48 Sam James
2021-02-02 21:00 Sam James
2020-09-06 21:39 Sam James
2020-07-23 22:40 Sam James
2020-07-19 12:18 Agostino Sarubbo
2020-07-17 0:14 Sam James
2020-07-14 17:01 Sam James
2020-07-11 6:14 Georgy Yakovlev
2020-07-08 20:50 Sam James
2020-06-12 2:36 Georgy Yakovlev
2020-06-10 1:24 Thomas Deutschmann
2020-04-29 10:16 Joonas Niilola
2020-04-28 19:23 Mart Raudsepp
2020-04-28 9:40 Agostino Sarubbo
2020-04-28 9:39 Agostino Sarubbo
2020-04-02 5:18 Georgy Yakovlev
2020-03-28 22:46 Mart Raudsepp
2020-03-28 2:02 Georgy Yakovlev
2020-03-25 20:50 Georgy Yakovlev
2020-03-25 20:50 Georgy Yakovlev
2020-03-25 20:50 Georgy Yakovlev
2020-03-25 20:50 Georgy Yakovlev
2020-03-09 20:50 Georgy Yakovlev
2020-03-09 20:50 Georgy Yakovlev
2020-03-09 20:50 Georgy Yakovlev
2020-01-31 17:35 Georgy Yakovlev
2020-01-30 20:47 Georgy Yakovlev
2019-12-22 2:42 Georgy Yakovlev
2019-12-11 1:55 Georgy Yakovlev
2019-12-11 1:54 Georgy Yakovlev
2019-12-11 1:50 Georgy Yakovlev
2019-12-03 19:52 Georgy Yakovlev
2019-12-03 19:52 Georgy Yakovlev
2019-11-18 19:56 Georgy Yakovlev
2019-11-18 19:55 Georgy Yakovlev
2019-11-04 21:32 Georgy Yakovlev
2019-10-28 21:00 Georgy Yakovlev
2019-10-24 19:37 Georgy Yakovlev
2019-10-24 19:37 Georgy Yakovlev
2019-09-09 18:48 Georgy Yakovlev
2019-09-07 0:36 Georgy Yakovlev
2019-09-07 0:36 Georgy Yakovlev
2019-09-07 0:36 Georgy Yakovlev
2019-08-17 1:56 Georgy Yakovlev
2019-08-17 1:56 Georgy Yakovlev
2019-07-28 6:46 Georgy Yakovlev
2019-07-28 6:46 Georgy Yakovlev
2019-07-28 6:46 Georgy Yakovlev
2019-07-28 6:40 Georgy Yakovlev
2019-06-04 18:47 Georgy Yakovlev
2019-06-03 22:42 Georgy Yakovlev
2019-06-03 16:49 Georgy Yakovlev
2019-04-28 21:32 Georgy Yakovlev
2019-04-01 7:25 Georgy Yakovlev
2019-03-15 1:14 Georgy Yakovlev
2019-03-14 2:31 Georgy Yakovlev
2019-03-14 2:31 Georgy Yakovlev
2019-02-14 6:52 Georgy Yakovlev
2019-02-14 6:52 Georgy Yakovlev
2019-02-14 6:52 Georgy Yakovlev
2018-11-22 22:18 Georgy Yakovlev
2018-11-22 22:18 Georgy Yakovlev
2018-11-16 4:24 Georgy Yakovlev
2018-11-16 4:24 Georgy Yakovlev
2018-11-16 4:24 Georgy Yakovlev
2018-10-04 5:43 Georgy Yakovlev
2018-10-04 5:43 Georgy Yakovlev
2018-09-07 7:31 Georgy Yakovlev
2018-09-07 7:31 Georgy Yakovlev
2018-09-07 7:31 Georgy Yakovlev
2018-09-07 7:31 Georgy Yakovlev
2018-09-07 7:31 Georgy Yakovlev
2018-07-10 5:47 Georgy Yakovlev
2018-07-10 5:41 Georgy Yakovlev
2018-07-10 5:29 Georgy Yakovlev
2018-07-10 5:20 Georgy Yakovlev
2018-06-17 0:57 Georgy Yakovlev
2018-05-25 20:09 David Seifert
2018-05-25 20:09 David Seifert
2018-04-30 16:08 Patrice Clement
2018-04-30 16:08 Patrice Clement
2018-04-04 23:04 Andreas Sturmlechner
2018-04-04 23:04 Andreas Sturmlechner
2018-03-27 8:50 Lars Wendler
2018-03-19 16:22 Michał Górny
2018-03-19 16:22 Michał Górny
2018-03-13 18:08 Markus Meier
2018-02-26 22:32 Patrice Clement
2018-02-11 21:21 Michał Górny
2017-12-18 19:36 Richard Farina
2017-11-07 8:48 Lars Wendler
2017-08-17 3:47 Göktürk Yüksek
2017-04-08 21:24 Patrice Clement
2016-10-27 14:00 Göktürk Yüksek
2016-10-15 12:42 Patrice Clement
2015-10-22 12:45 Julian Ospald
2015-10-22 12:45 Julian Ospald
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1591929358.e286ef56f3a147c6ff8ab9f5a46618e0fcdb936c.gyakovlev@gentoo \
--to=gyakovlev@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox